> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Contract Journal Entry



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json put /rev/api/v1/journal-entries/{id}
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.


    ## Rate limits

    API users can make up to **5 requests per second**. This limit is shared
    across

    all endpoints for the same API user. Requests that exceed the limit receive
    a

    `429 Too Many Requests` response. Wait for the number of seconds specified
    in

    the `Retry-After` response header before retrying.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /rev/api/v1/journal-entries/{id}:
    put:
      tags:
        - Revenue
      summary: Update Contract Journal Entry
      operationId: rev_api_v1_journal_entries_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RevenueContractJournalEntry'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/RevenueContractJournalEntry'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/RevenueContractJournalEntry'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RevenueContractJournalEntry'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    RevenueContractJournalEntry:
      type: object
      description: |-
        Base serializer that injects the request user's customer on create and
        restricts related-object querysets to the same customer.
      properties:
        id:
          type: integer
          readOnly: true
        contract:
          type: integer
        contract_name:
          type: string
          readOnly: true
        performance_obligation:
          type: integer
          nullable: true
        invoice:
          type: integer
          nullable: true
        entry_date:
          type: string
          format: date
        description:
          type: string
          maxLength: 500
        debit_account:
          type: integer
          nullable: true
        credit_account:
          type: integer
          nullable: true
        currency:
          type: string
          maxLength: 3
        amount:
          type: number
          format: double
          maximum: 10000000000000
          minimum: -10000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        source:
          $ref: '#/components/schemas/RevenueContractJournalEntrySourceEnum'
        status:
          $ref: '#/components/schemas/RevenueContractJournalEntryStatusEnum'
        tags: {}
        reversal_of:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - contract
        - contract_name
        - created_at
        - entry_date
        - id
        - last_modified_at
    RevenueContractJournalEntrySourceEnum:
      enum:
        - INVOICE
        - RECOGNITION
        - RECLASS
        - TERMINATION
        - CATCH_UP
        - MANUAL
      type: string
      description: |-
        * `INVOICE` - Invoice
        * `RECOGNITION` - Recognition
        * `RECLASS` - Reclass
        * `TERMINATION` - Termination
        * `CATCH_UP` - Catch-up
        * `MANUAL` - Manual
    RevenueContractJournalEntryStatusEnum:
      enum:
        - DRAFT
        - POSTED
      type: string
      description: |-
        * `DRAFT` - Draft
        * `POSTED` - Posted
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````